densityEstimate {PCpheno} | R Documentation

## Observed versus Expected Ratios

### Description

Function to calculate the ratio of genes that characterize a phenotype (observed) among the genes that characterize a biological complex versus the ratio of a set of randomly sampled genes (expected) among the genes that characterize a biological complex.

### Usage

    densityEstimate(genename,interactome,perm)

### Arguments

`genename` | Character vector of the gene names that characterize a specific phenotype.
`interactome` | Contingency matrix of genes (rows) and biological complexes (columns) (see package ScISI)
`perm` | Numeric vector indicating the number of simulations to run to compute the expected ratios.

### Value

List of observed and simulated ratios.

### Author(s)

N. LeMeur

### Examples

     data(ScISI)
     data(essglist)
     essential <- names(essglist)
     ScISI <- as.matrix(ScISI)
      ratio<- densityEstimate(genename=essential,interactome=ScISI,perm=50)

[Package PCpheno version 1.6.0 Index]